import solid as s
import numpy as np
from .globals import *


def round_box(x, y, z, r):
    box = s.cube(np.array([x, y, z]) - r * 2)
    wall = s.sphere(r=r, segments=SEGMENTS)

    return s.translate([r, r, r])(s.minkowski()(box, wall))
